# Graph Visualization for Python by Neo4j

[![Latest version](https://img.shields.io/pypi/v/neo4j-viz)](https://pypi.org/project/neo4j-viz/)
[![PyPI downloads month](https://img.shields.io/pypi/dm/neo4j-viz)](https://pypi.org/project/neo4j-viz/)
![Python versions](https://img.shields.io/pypi/pyversions/neo4j-viz)
[![License](https://img.shields.io/pypi/l/neo4j-viz)](LICENSE)

`neo4j-viz` is a Python package for visualizing graphs from the Neo4j ecosystem, such as the [Neo4j Graph Data Science (GDS) library](https://github.com/neo4j/graph-data-science).
The package wraps the [Neo4j Visualization library (NVL)](https://neo4j.com/docs/nvl/current/).


## Supported features

* Visualize graphs from Neo4j GDS and Pandas Dataframes
* Nodes:
    * Sizing
    * Colors
    * Caption
* Relationships
    * Colors
    * Caption

![Example Graph](examples/example_cora_graph.png)


## Getting started

```
pip install neo4j-viz
```

For some Jupyter Notebook examples checkout the `/examples` directory
